import Vue from 'vue'
import App from './App.vue'
import './registerServiceWorker'
import router from './router'
import store from './store'
import './plugins/element.js'
import "./router/permission"
import "./assets/css/index.scss"
import './components/index.js'
//公共混入
import '@/mixins'
// 导入富文本编辑器
import VueQuillEditor from 'vue-quill-editor'
// 导入富文本编辑器样式
import 'quill/dist/quill.core.css'
import 'quill/dist/quill.snow.css'
import 'quill/dist/quill.bubble.css'
import Quill from 'quill'
//引入echarts
import * as echarts from 'echarts';
Vue.prototype.$echarts = echarts
// 将富文本编辑器，注册为全局可用组件
Vue.use(VueQuillEditor)
import api from '@/apirequest/index.js'
Vue.prototype.$api = api;

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
