import { fetchPermission } from "../../api/index"
import router, { DynamicRoutes } from "../../router/index"
import dynamicRouter from "../../router/dynamic-router"
import { recursionRouter, setDefaultRoute } from "../../utils/recursion-router"

export default {
    namespaced: true,
    state: {
        permissionList: null,
        sidebarMenu: [],// 导航菜单
        currentMenu: '', // 高亮
        isSidebarNavCollapse: false,
    },
    getters: {},
    mutations: {
        SET_PERMISSION(state, routes) {
            state.permissionList = routes;

        },
        CLEAR_PERMSSION(state) {
            state.permissionList = null;
        },
        SET_MENU(state, menu) {
            state.sidebarMenu = menu;
        },
        CURRENT_MENU(state, menu) {
            state.currentMenu = menu;
        },
        CLEAR_MENU(state) {
            state.sidebarMenu = []
        },
        TOGGLENACCOLLAPSE(state, data) {
            state.isSidebarNavCollapse = data;
            console.log(state.isSidebarNavCollapse);
        },


    },
    // 异步访问
    actions: {
        async FETCH_PERMISSION({ commit, state }) {
            //let permissionList = await fetchPermission();
            // 筛选
            //let routes = recursionRouter(permissionList,dynamicRouter);
            let MainContainer = DynamicRoutes.find(v => v.path === "");
            let children = MainContainer.children;
            children.push(...dynamicRouter)

            // 生成菜单
            commit("SET_MENU", children);

            // 设置默认路由
            setDefaultRoute([MainContainer]);
            // 初始化路由
            let initialRoutes = router.options.routes;
            router.addRoutes(DynamicRoutes);
            commit("SET_PERMISSION", [...initialRoutes, ...DynamicRoutes])
        }
    }
}